Bug 1564173 - [abrt] php-cli: conn_free(): php killed by SIGSEGV
Summary: [abrt] php-cli: conn_free(): php killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: php
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8cdf9891f8cdf4400bcd1298e2d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-05 14:36 UTC by Mikael Larsson
Modified: 2018-05-29 11:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:21:48 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (25.10 KB, text/plain)
2018-04-05 14:36 UTC, Mikael Larsson
no flags Details
File: cgroup (355 bytes, text/plain)
2018-04-05 14:36 UTC, Mikael Larsson
no flags Details
File: core_backtrace (4.72 KB, text/plain)
2018-04-05 14:36 UTC, Mikael Larsson
no flags Details
File: cpuinfo (1.58 KB, text/plain)
2018-04-05 14:36 UTC, Mikael Larsson
no flags Details
File: dso_list (8.48 KB, text/plain)
2018-04-05 14:36 UTC, Mikael Larsson
no flags Details
File: environ (1.73 KB, text/plain)
2018-04-05 14:36 UTC, Mikael Larsson
no flags Details
File: exploitable (94 bytes, text/plain)
2018-04-05 14:36 UTC, Mikael Larsson
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-05 14:36 UTC, Mikael Larsson
no flags Details
File: maps (40.09 KB, text/plain)
2018-04-05 14:36 UTC, Mikael Larsson
no flags Details
File: open_fds (604 bytes, text/plain)
2018-04-05 14:36 UTC, Mikael Larsson
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2018-04-05 14:36 UTC, Mikael Larsson
no flags Details
File: var_log_messages (304 bytes, text/plain)
2018-04-05 14:36 UTC, Mikael Larsson
no flags Details

Description Mikael Larsson 2018-04-05 14:36:25 UTC
Version-Release number of selected component:
php-cli-7.1.15-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        Phoronix Test Suite
crash_function: conn_free
executable:     /usr/bin/php
journald_cursor: s=56493d991c4d4e0991bb8bbb698913f3;i=4f35d;b=3674dba85aff4435acd2e0fa681e104b;m=3939e69d;t=5691ac97d45f1;x=e75d5c48869aba08
kernel:         4.15.14-200.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 conn_free at url.c:2985
 #3 Curl_disconnect at url.c:3082
 #4 close_all_connections at multi.c:2213
 #5 curl_multi_cleanup at multi.c:2232
 #6 Curl_close at url.c:409
 #7 curl_easy_cleanup at easy.c:833
 #8 _php_curl_close_ex at /usr/src/debug/php-7.1.15/ext/curl/interface.c:3380
 #9 zend_resource_dtor at /usr/src/debug/php-7.1.15/Zend/zend_list.c:76
 #10 zend_list_close at /usr/src/debug/php-7.1.15/Zend/zend_list.c:89
 #11 zif_curl_close at /usr/src/debug/php-7.1.15/ext/curl/interface.c:3351

Comment 1 Mikael Larsson 2018-04-05 14:36:32 UTC
Created attachment 1417766 [details]
File: backtrace

Comment 2 Mikael Larsson 2018-04-05 14:36:34 UTC
Created attachment 1417767 [details]
File: cgroup

Comment 3 Mikael Larsson 2018-04-05 14:36:36 UTC
Created attachment 1417768 [details]
File: core_backtrace

Comment 4 Mikael Larsson 2018-04-05 14:36:37 UTC
Created attachment 1417769 [details]
File: cpuinfo

Comment 5 Mikael Larsson 2018-04-05 14:36:39 UTC
Created attachment 1417770 [details]
File: dso_list

Comment 6 Mikael Larsson 2018-04-05 14:36:41 UTC
Created attachment 1417771 [details]
File: environ

Comment 7 Mikael Larsson 2018-04-05 14:36:43 UTC
Created attachment 1417772 [details]
File: exploitable

Comment 8 Mikael Larsson 2018-04-05 14:36:44 UTC
Created attachment 1417773 [details]
File: limits

Comment 9 Mikael Larsson 2018-04-05 14:36:46 UTC
Created attachment 1417774 [details]
File: maps

Comment 10 Mikael Larsson 2018-04-05 14:36:48 UTC
Created attachment 1417775 [details]
File: open_fds

Comment 11 Mikael Larsson 2018-04-05 14:36:50 UTC
Created attachment 1417776 [details]
File: proc_pid_status

Comment 12 Mikael Larsson 2018-04-05 14:36:51 UTC
Created attachment 1417777 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2018-05-03 07:53:11 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2018-05-29 11:21:48 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.